﻿body {
    background: #ededed; /*url(http://localhost:28137/Imagens/Main.png) no-repeat fixed center;*/
}

/*.fundo_dashboard {
    background: url(../Imagens/Main.png) no-repeat fixed center !important;
}

.fundo_login {
    background: url(../Imagens/fundo1.jpg) repeat !important;
    background-size: cover;
}*/

.ComboBoxTipoGrid label {
    margin-right: 5px;
}

.disabled {
    background-color: #dddddd
}

.btn-secundary:hover {
    background-color: #bdbdbd;
    border-color: #ababab;
    color: #040000;
}

.btn-secundary {
    background-color: #f5f5f5;
    border-color: #ababab;
    color: #040000;
}

.sub-titulo-pagina {
    background-color: #337ab7;
    color: white;
    padding: 5px;
    padding: 3px;
    margin-top: -5px;
    margin-bottom: 5px;
    text-transform: uppercase;
}

    .sub-titulo-pagina > span {
        font-weight: bold;
    }

.divGrafico {
    border: #ededed solid 1px;
    padding-bottom: 25px;
}

.form-control-checkbox {
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
}

.box {
    display: inline-block;
    width: 100%;
    min-height: 20px;
    padding: 5px;
    margin-bottom: 5px;
    background-color: #f5f5f5;
    border: 1px solid #ddd;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.05);
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.05);
}

.menuVertical {
    display: table-caption;
}

.menuVerticalCorpo {
    position: absolute;
    left: 5%;
    top: 0;
    width: 90%;
}

/****************Modal**************************/
.modal-header {
    background-color: #337ab7;
    color: white
}

    .modal-header > .close {
        opacity: 9;
        color: white;
    }

.dropdown-menu .divider {
    margin: 0 !important;
}

.dropdown-menu {
    min-width: 0 !important;
}

.text-loading {
    color: blue;
}
/****************Login**************************/

.tituloGraficos {
    color: blue;
}

.largura-20 {
    width: 20% !important;
}

.largura-80 {
    width: 80% !important;
}

.navbar {
    border-radius: 0;
}

.button-inline {
    padding-top: 25px;
}

/*paginação*/
.table-pagination {
    padding-left: 0;
    border-radius: 4px;
    cursor: pointer;
    text-align: -webkit-center;
    text-align: -moz-center;
    background-color: #e8e2e2 !important;
}

    .table-pagination > td > table > tbody > tr > td > a {
        position: relative;
        float: left;
        margin-left: -1px;
        line-height: 1.42857143;
        color: #337ab7;
        text-decoration: none;
        background-color: #fff;
        border: 1px solid #ddd;
        padding: 6px 12px;
    }

    .table-pagination td table tr td a:hover {
        color: white;
        background-color: #A2A2A2;
    }

    .table-pagination > td > table > tbody > tr > td > span {
        position: relative;
        float: left;
        margin-left: -1px;
        line-height: 1.42857143;
        color: white;
        background-color: #A2A2A2;
        text-decoration: none;
        border: 1px solid #ddd;
        padding: 6px 12px;
    }

.table > tbody > tr > td > label {
    /*margin-bottom: 0;*/
    display: inline;
}

.botoesGridPequeno {
    border: 1px solid #ddd !important;
    display: table-cell !important;
    width: 30px;
}

.table-title-bi {
    text-align: center;
    font-weight: bold;
    background-color: #025299;
    color: white;
}
/*******footer***********/

.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 65px;  
    padding-top: 10px;
    background-color: #025299;
    color: #ffffff;
    font-size: 9pt;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right
}

.footer_dashboard {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 65px;  
    text-align: center;
    padding-top: 10px;
    background-color: #025299;
    color: #ffffff;
    font-size: 9pt;
}

.container-wapper {
    padding-bottom: 8rem;
}

.page-container {
    position: relative;
    min-height: 100vh;
}

.vertical-offset-100 {
    padding-top: 4rem;
}

.well {
    background-color: #ffffff;
}

/*Novas estilizações - elton*/
.table > tbody > tr > th {
    background-color: #025299 !important;
    color: #ffffff !important;
    padding: 2px;
    vertical-align: baseline !important;
    text-align: center;
}

.table-row-empty {
    border: #dddddd;
    color: white;
    background-color: #025299 !important;
    text-align: center;
}

.table-striped > tbody > tr:nth-of-type(even) {
    background-color: #ededed;
}

/*ao passar object mause sobre a grid*/
.table-hover > tbody > tr:hover {
    background-color: #d4dcff;
}

.table {
    width: 100%;
}

    .table > tbody > tr > td {
        padding: 2px;
        vertical-align: baseline !important;
        border: none;
    }

.table-icon {
    width: 50px !important;
    text-align: center !important;
}

.table-box-left {
    text-align: left !important;
    padding-left: 10px !important;
}

.table-borderless > thead > tr > th,
.table-borderless > tbody > tr > th,
.table-borderless > tfoot > tr > th,
.table-borderless > thead > tr > td,
.table-borderless > tbody > tr > td,
.table-borderless > tfoot > tr > td {
    border-top: 0 !important;
}

#RFVNome {
    color: red;
}

/*****Mnus*******************/
.navbar-inverse {
    background-color: #025299;
    border-color: #025299;
}

    .navbar-inverse .navbar-brand {
        color: #ffffff;
    }

    .navbar-inverse .navbar-nav > .active > a, .navbar-inverse .navbar-nav > .active > a:hover, .navbar-inverse .navbar-nav > .active > a:focus {
        color: #fff;
        background-color: #337ab7;
    }

    .navbar-inverse .navbar-nav > .open > a, .navbar-inverse .navbar-nav > .open > a:hover, .navbar-inverse .navbar-nav > .open > a:focus {
        background-color: #337ab7;
        color: #fff;
    }

    .navbar-inverse .navbar-nav > li > a {
        color: rgba(255, 255, 255, 0.78);
    }

.btnLogar {
    background-color: #025299;
    border: #025299;
}

    .btnLogar:hover {
        background-color: #337ab7;
        border: #337ab7;
    }

    .btnLogar:visited {
        background-color: #6063bc;
        border: #6063bc;
    }

/******************************customizações**************************************************/

.custom-control {
    position: relative;
    display: -webkit-inline-box;
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    min-height: 1.5rem;
    padding-left: 1.5rem;
    margin-right: 1rem;
    cursor: pointer;
}

.custom-control-input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

    .custom-control-input:checked ~ .custom-control-indicator {
        color: #fff;
        background-color: #0275d8;
    }

    .custom-control-input:focus ~ .custom-control-indicator {
        -webkit-box-shadow: 0 0 0 1px #fff, 0 0 0 3px #0275d8;
        box-shadow: 0 0 0 1px #fff, 0 0 0 3px #0275d8;
    }

    .custom-control-input:active ~ .custom-control-indicator {
        color: #fff;
        background-color: #8fcafe;
    }

    .custom-control-input:disabled ~ .custom-control-indicator {
        cursor: not-allowed;
        background-color: #eceeef;
    }

    .custom-control-input:disabled ~ .custom-control-description {
        color: #636c72;
        cursor: not-allowed;
    }

.custom-control-indicator {
    position: absolute;
    top: 0.25rem;
    left: 0;
    display: block;
    width: 1.5rem;
    height: 1.5rem;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: #ddd;
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-background-size: 50% 50%;
    background-size: 50% 50%;
}

.custom-checkbox .custom-control-indicator {
    border-radius: 0.25rem;
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-indicator {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3E%3C/svg%3E");
}

.custom-checkbox .custom-control-input:indeterminate ~ .custom-control-indicator {
    background-color: #0275d8;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 4'%3E%3Cpath stroke='%23fff' d='M0 2h4'/%3E%3C/svg%3E");
}

.custom-radio .custom-control-indicator {
    border-radius: 50%;
}

.custom-radio .custom-control-input:checked ~ .custom-control-indicator {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3E%3Ccircle r='3' fill='%23fff'/%3E%3C/svg%3E");
}

.custom-controls-stacked {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
}

    .custom-controls-stacked .custom-control {
        margin-bottom: 0.25rem;
    }

        .custom-controls-stacked .custom-control + .custom-control {
            margin-left: 0;
        }

.custom-select {
    display: inline-block;
    max-width: 100%;
    height: calc(2.25rem + 2px);
    padding: 0.375rem 1.75rem 0.375rem 0.75rem;
    line-height: 1.25;
    color: #464a4c;
    vertical-align: middle;
    background: #fff url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3E%3Cpath fill='%23333' d='M2 0L0 2h4zm0 5L0 3h4z'/%3E%3C/svg%3E") no-repeat right 0.75rem center;
    -webkit-background-size: 8px 10px;
    background-size: 8px 10px;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
    -moz-appearance: none;
    -webkit-appearance: none;
}

    .custom-select:focus {
        border-color: #5cb3fd;
        outline: none;
    }

        .custom-select:focus::-ms-value {
            color: #464a4c;
            background-color: #fff;
        }

    .custom-select:disabled {
        color: #636c72;
        cursor: not-allowed;
        background-color: #eceeef;
    }

    .custom-select::-ms-expand {
        opacity: 0;
    }

.custom-select-sm {
    padding-top: 0.375rem;
    padding-bottom: 0.375rem;
    font-size: 75%;
}

.custom-file {
    position: relative;
    display: inline-block;
    max-width: 100%;
    height: 2.5rem;
    margin-bottom: 0;
    cursor: pointer;
}

.custom-file-input {
    min-width: 14rem;
    max-width: 100%;
    height: 2.5rem;
    margin: 0;
    filter: alpha(opacity=0);
    opacity: 0;
}

.custom-file-control {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 5;
    height: 2.5rem;
    padding: 0.5rem 1rem;
    line-height: 1.5;
    color: #464a4c;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
}

    .custom-file-control:lang(en)::after {
        content: "Choose file...";
    }

    .custom-file-control::before {
        position: absolute;
        top: -1px;
        right: -1px;
        bottom: -1px;
        z-index: 6;
        display: block;
        height: 2.5rem;
        padding: 0.5rem 1rem;
        line-height: 1.5;
        color: #464a4c;
        background-color: #eceeef;
        border: 1px solid rgba(0, 0, 0, 0.15);
        border-radius: 0 0.25rem 0.25rem 0;
    }

    .custom-file-control:lang(en)::before {
        content: "Browse";
    }


input[type="checkbox"] {
    border-radius: 2px !important;
    -webkit-appearance: none;
    border: double 1px #ddd;
    background-color: #ddd;
    width: 15px !important;
    height: 15px !important;
    margin-left: 0 !important;
    left: 0;
    cursor: pointer;
}

    input[type="checkbox"]:checked {
        border-color: #06F;
        color: #fff;
        background-color: #0275d8;
        background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3E%3C/svg%3E");
    }

    input[type="checkbox"]:hover {
        box-shadow: 0px 0px 10px #1300ff;
    }

/******Radio*/

input[type="radio"] {
    border-radius: 10px !important;
    -webkit-appearance: none;
    border: double 1px #ddd;
    background-color: #ddd;
    width: 15px !important;
    height: 15px !important;
    left: 0;
    cursor: pointer;
}

    input[type="radio"]:checked {
        border-color: #06F;
        color: #fff;
        background-color: #0275d8;
        background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3E%3C/svg%3E");
    }

    input[type="radio"]:hover {
        box-shadow: 0px 0px 10px #1300ff;
    }

.border-orange {
    border-color: orange;
    border-radius: 4px;
}

.border-black {
    border-color: black;
    border-radius: 4px;
}

.border-blue {
    border-color: blue;
    border-radius: 4px;
}

.border-red {
    border-color: red;
    border-radius: 4px;
}

.background-red:hover {
    background-color: red;
}

.background-blue:hover {
    background-color: blue;
}

.background-black:hover {
    background-color: black;
}

.background-orange:hover {
    background-color: orange;
}


/* check dos botoes adicionar perfis*/
.switch {
    position: relative;
    display: inline-block !important;
    width: 60px;
    height: 25px;
    margin: 3px;
}

    .switch input {
        opacity: 0;
        width: 0 !important;
        height: 0 !important;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "OFF";
        height: 21px;
        width: 21px;
        left: 4px;
        bottom: 2px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
        font-size: 9px;
        text-align: center;
        vertical-align: central;
        padding-top: 5px;
    }

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
    content: "ON";
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}
.btn-dropdow {
    padding: 0px;
    margin: 0px;
    border: 0px;
    
}
.btn-dropdow > .btn {
    border-radius: 0px !important;
}
.obsExemplo {
    color: red;   
}
.linhaBottom {
    border-bottom: solid 1px #ddd;
    margin-bottom: 20px;
    display: block;
    min-height: 100px;
}

/* FIM check dos botoes adicionar perfis*/



/*.navbar-nav {  
  display:flex;
}

.scroll {
    white-space: nowrap;
    overflow-x: auto;
    flex-wrap:nowrap;
}*/


/*@media (min-width: 768px){
    .scroll-menu{
        width:70%;
    }

}

@media (min-width: 1024px) {
    .scroll-menu {
        width: 75%;
    }
}

@media (min-width: 1200px) {
    .scroll-menu {
        width: 78%;
    }
}

@media (min-width: 1400px) {
    .scroll-menu {
        width: 80%;
    }
}

.scroll-menu {
    white-space: nowrap !important;
    overflow-x: auto;
    overflow-y: hidden;
    display: flex;    
}
*/
/*ul.nav > li {
    position: static
}

.navbar-nav > li > .dropdown-menu {
    left: auto !important;
    right: auto !important
}*/


/*::-webkit-scrollbar{
    height: 5px; 
    cursor:pointer;
}
::-webkit-scrollbar-track {
    background-color:#dddddd;
}

::-webkit-scrollbar-thumb:horizontal {
    background-color: blue;
    max-width:20px;
    border:red solid 1px;
    display:inline-block;*/
/*}


::-webkit-scrollbar:{
    height: 5px;
    width: 5px;
}

::-webkit-scrollbar-track {
    background-color: aquamarine;  
}
::-webkit-scrollbar-button {
    background-color: red;
    content:"->";
}

::-webkit-scrollbar-corner {
    background-color: blanchedalmond;   
}

::-webkit-scrollbar-thumb:horizontal {
    background-color:lawngreen;
    width:10px;
    display:block;
}*/
